NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::AssociativeArcBuilder Class Reference

Represents a NXOpen::Features::AssociativeArc builder
To create a new instance of this class, use NXOpen::Features::BaseFeatureCollection::CreateAssociativeArcBuilder
Default values. More...

Inheritance diagram for NXOpen::Features::AssociativeArcBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  CenterReference { CenterReferenceWcs, CenterReferenceAbsolute, CenterReferenceCordinatesSystem }
 Represents references for center point. More...
 
enum  EndOption {
  EndOptionInferred, EndOptionPoint, EndOptionTangent, EndOptionRadius,
  EndOptionDiameter
}
 Represents end point options type. More...
 
enum  EndReference { EndReferenceWcs, EndReferenceAbsolute, EndReferenceCordinatesSystem }
 Represents references for end point. More...
 
enum  MidOption {
  MidOptionInferred, MidOptionPoint, MidOptionTangent, MidOptionRadius,
  MidOptionDiameter
}
 Represents mid point options type. More...
 
enum  MidReference { MidReferenceWcs, MidReferenceAbsolute, MidReferenceCordinatesSystem }
 Represents references for mid point. More...
 
enum  StartOption { StartOptionInferred, StartOptionPoint, StartOptionTangent }
 Represents start point options type. More...
 
enum  StartReference { StartReferenceWcs, StartReferenceAbsolute, StartReferenceCordinatesSystem }
 Represents references for start point. More...
 
enum  Types { TypesThreePointArc, TypesArcFromCenter }
 Represents arc type. More...
 

Public Member Functions

bool Associative ()
 Returns the associative
Created in NX5.0.0. More...
 
NXOpen::SelectPointCenterPoint ()
 Returns the center point - this should be a smart point created using one of NXOpen::PointCollection::CreatePoint
Created in NX5.0.0. More...
 
NXOpen::Features::AssociativeArcBuilder::CenterReference CenterPointReference ()
 Returns the center point reference
Created in NX5.0.0. More...
 
NXOpen::SelectCartesianCoordinateSystemCenterPointReferenceCsys ()
 Returns the center point reference coordinate system
Created in NX5.0.0. More...
 
NXOpen::Vector3d CenterRadiusLockedPlaneDirection ()
 Returns the plane direction for arc type center radius when lock status is NXOpen::GeometricUtilities::SupportPlaneData::LockPlaneStatusCenterPointDirection
Created in NX7.5.0. More...
 
NXOpen::ExpressionDiameter ()
 Returns the diameter of arc
Created in NX7.5.0. More...
 
NXOpen::SelectObjectEndInferredConstraint ()
 Returns the end inferred constraint
Created in NX5.0.0. More...
 
NXOpen::SelectPointEndPoint ()
 Returns the end point - this should be a smart point created using one of NXOpen::PointCollection::CreatePoint
Created in NX5.0.0. More...
 
NXOpen::Features::AssociativeArcBuilder::EndOption EndPointOptions ()
 Returns the end point options
Created in NX5.0.0. More...
 
NXOpen::Features::AssociativeArcBuilder::EndReference EndPointReference ()
 Returns the end point reference
Created in NX5.0.0. More...
 
NXOpen::SelectCartesianCoordinateSystemEndReferenceCsys ()
 Returns the end reference coordinate system
Created in NX5.0.0. More...
 
NXOpen::SelectDisplayableObjectEndTangent ()
 Returns the end tangent - point can be passed in SELECT_OBJECT which is used in case of multiple solutions
Created in NX5.0.0. More...
 
NXOpen::GeometricUtilities::CurveLimitsDataLimits ()
 Returns the limits
Created in NX5.0.0. More...
 
NXOpen::SelectObjectMidInferredConstraint ()
 Returns the mid inferred constraint
Created in NX5.0.0. More...
 
NXOpen::SelectPointMidPoint ()
 Returns the mid point - this should be a smart point created using one of NXOpen::PointCollection::CreatePoint
Created in NX5.0.0. More...
 
NXOpen::Features::AssociativeArcBuilder::MidOption MidPointOptions ()
 Returns the mid point options
Created in NX5.0.0. More...
 
NXOpen::Features::AssociativeArcBuilder::MidReference MidPointReference ()
 Returns the mid point reference
Created in NX5.0.0. More...
 
NXOpen::SelectCartesianCoordinateSystemMidReferenceCsys ()
 Returns the mid reference coordinate system
Created in NX5.0.0. More...
 
NXOpen::SelectDisplayableObjectMidTangent ()
 Returns the mid tangent - point can be passed in SELECT_OBJECT which is used in case of multiple solutions
Created in NX5.0.0. More...
 
NXOpen::ExpressionRadius ()
 Returns the radius of arc
Created in NX5.0.0. More...
 
void SetAssociative (bool associative)
 Sets the associative
Created in NX5.0.0. More...
 
void SetCenterPointReference (NXOpen::Features::AssociativeArcBuilder::CenterReference centerPointReference)
 Sets the center point reference
Created in NX5.0.0. More...
 
void SetCenterRadiusLockedPlaneDirection (const NXOpen::Vector3d &direction)
 Sets the plane direction for arc type center radius when lock status is NXOpen::GeometricUtilities::SupportPlaneData::LockPlaneStatusCenterPointDirection
Created in NX7.5.0. More...
 
void SetEndPointOptions (NXOpen::Features::AssociativeArcBuilder::EndOption endPointOptions)
 Sets the end point options
Created in NX5.0.0. More...
 
void SetEndPointReference (NXOpen::Features::AssociativeArcBuilder::EndReference endPointReference)
 Sets the end point reference
Created in NX5.0.0. More...
 
void SetMidPointOptions (NXOpen::Features::AssociativeArcBuilder::MidOption midPointOptions)
 Sets the mid point options
Created in NX5.0.0. More...
 
void SetMidPointReference (NXOpen::Features::AssociativeArcBuilder::MidReference midPointReference)
 Sets the mid point reference
Created in NX5.0.0. More...
 
void SetStartPointOptions (NXOpen::Features::AssociativeArcBuilder::StartOption startPointOptions)
 Sets the start point options
Created in NX5.0.0. More...
 
void SetStartPointReference (NXOpen::Features::AssociativeArcBuilder::StartReference startPointReference)
 Sets the start point reference
Created in NX5.0.0. More...
 
void SetType (NXOpen::Features::AssociativeArcBuilder::Types type)
 Sets the type option
Created in NX5.0.0. More...
 
void SetZonePoint (const NXOpen::Point3d &zonePoint)
 Sets the zone point is required when arc has multiple solutions in following conditions: 1. More...
 
NXOpen::SelectObjectStartInferredConstraint ()
 Returns the start inferred constraint
Created in NX5.0.0. More...
 
NXOpen::SelectPointStartPoint ()
 Returns the start point - this should be a smart point created using one of NXOpen::PointCollection::CreatePoint
Created in NX5.0.0. More...
 
NXOpen::Features::AssociativeArcBuilder::StartOption StartPointOptions ()
 Returns the start point options
Created in NX5.0.0. More...
 
NXOpen::Features::AssociativeArcBuilder::StartReference StartPointReference ()
 Returns the start point reference
Created in NX5.0.0. More...
 
NXOpen::SelectCartesianCoordinateSystemStartReferenceCsys ()
 Returns the start reference coordinate system
Created in NX5.0.0. More...
 
NXOpen::SelectDisplayableObjectStartTangent ()
 Returns the start tangent - point can be passed in SELECT_OBJECT which is used in case of multiple solutions
Created in NX5.0.0. More...
 
NXOpen::GeometricUtilities::SupportPlaneDataSupportPlaneData ()
 Returns the support plane data
Created in NX5.0.0. More...
 
NXOpen::Features::AssociativeArcBuilder::Types Type ()
 Returns the type option
Created in NX5.0.0. More...
 
NXOpen::Point3d ZonePoint ()
 Returns the zone point is required when arc has multiple solutions in following conditions: 1. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::AssociativeArc builder
To create a new instance of this class, use NXOpen::Features::BaseFeatureCollection::CreateAssociativeArcBuilder
Default values.

Property Value

Associative

True

Limits.EndLimit.LimitOption

AtPoint

SupportPlaneData.SupportPlaneLockStatus

No


Created in NX5.0.0.

Member Enumeration Documentation

Represents references for center point.

Enumerator
CenterReferenceWcs 

WCS.

CenterReferenceAbsolute 

Absolute CSYS.

CenterReferenceCordinatesSystem 

CSYS.

Represents end point options type.

Enumerator
EndOptionInferred 

Inferred.

EndOptionPoint 

Point.

EndOptionTangent 

Tangent.

EndOptionRadius 

Radius.

EndOptionDiameter 

Diameter.

Represents references for end point.

Enumerator
EndReferenceWcs 

WCS.

EndReferenceAbsolute 

Absolute CSYS.

EndReferenceCordinatesSystem 

CSYS.

Represents mid point options type.

Enumerator
MidOptionInferred 

Inferred.

MidOptionPoint 

Point.

MidOptionTangent 

Tangent.

MidOptionRadius 

Radius.

MidOptionDiameter 

Diameter.

Represents references for mid point.

Enumerator
MidReferenceWcs 

WCS.

MidReferenceAbsolute 

Absolute CSYS.

MidReferenceCordinatesSystem 

CSYS.

Represents start point options type.

Enumerator
StartOptionInferred 

Inferred.

StartOptionPoint 

Point.

StartOptionTangent 

Tangent.

Represents references for start point.

Enumerator
StartReferenceWcs 

WCS.

StartReferenceAbsolute 

Absolute CSYS.

StartReferenceCordinatesSystem 

CSYS.

Represents arc type.

Enumerator
TypesThreePointArc 

Three point arc.

TypesArcFromCenter 

Arc from center.

Member Function Documentation

bool NXOpen::Features::AssociativeArcBuilder::Associative ( )

Returns the associative
Created in NX5.0.0.



License requirements : None

NXOpen::SelectPoint* NXOpen::Features::AssociativeArcBuilder::CenterPoint ( )

Returns the center point - this should be a smart point created using one of NXOpen::PointCollection::CreatePoint
Created in NX5.0.0.



License requirements : None

NXOpen::Features::AssociativeArcBuilder::CenterReference NXOpen::Features::AssociativeArcBuilder::CenterPointReference ( )

Returns the center point reference
Created in NX5.0.0.



License requirements : None

NXOpen::SelectCartesianCoordinateSystem* NXOpen::Features::AssociativeArcBuilder::CenterPointReferenceCsys ( )

Returns the center point reference coordinate system
Created in NX5.0.0.



License requirements : None

NXOpen::Vector3d NXOpen::Features::AssociativeArcBuilder::CenterRadiusLockedPlaneDirection ( )

Returns the plane direction for arc type center radius when lock status is NXOpen::GeometricUtilities::SupportPlaneData::LockPlaneStatusCenterPointDirection
Created in NX7.5.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::AssociativeArcBuilder::Diameter ( )

Returns the diameter of arc
Created in NX7.5.0.



License requirements : None

NXOpen::SelectObject* NXOpen::Features::AssociativeArcBuilder::EndInferredConstraint ( )

Returns the end inferred constraint
Created in NX5.0.0.



License requirements : None

NXOpen::SelectPoint* NXOpen::Features::AssociativeArcBuilder::EndPoint ( )

Returns the end point - this should be a smart point created using one of NXOpen::PointCollection::CreatePoint
Created in NX5.0.0.



License requirements : None

NXOpen::Features::AssociativeArcBuilder::EndOption NXOpen::Features::AssociativeArcBuilder::EndPointOptions ( )

Returns the end point options
Created in NX5.0.0.



License requirements : None

NXOpen::Features::AssociativeArcBuilder::EndReference NXOpen::Features::AssociativeArcBuilder::EndPointReference ( )

Returns the end point reference
Created in NX5.0.0.



License requirements : None

NXOpen::SelectCartesianCoordinateSystem* NXOpen::Features::AssociativeArcBuilder::EndReferenceCsys ( )

Returns the end reference coordinate system
Created in NX5.0.0.



License requirements : None

NXOpen::SelectDisplayableObject* NXOpen::Features::AssociativeArcBuilder::EndTangent ( )

Returns the end tangent - point can be passed in SELECT_OBJECT which is used in case of multiple solutions
Created in NX5.0.0.



License requirements : None

NXOpen::GeometricUtilities::CurveLimitsData* NXOpen::Features::AssociativeArcBuilder::Limits ( )

Returns the limits
Created in NX5.0.0.



License requirements : None

NXOpen::SelectObject* NXOpen::Features::AssociativeArcBuilder::MidInferredConstraint ( )

Returns the mid inferred constraint
Created in NX5.0.0.



License requirements : None

NXOpen::SelectPoint* NXOpen::Features::AssociativeArcBuilder::MidPoint ( )

Returns the mid point - this should be a smart point created using one of NXOpen::PointCollection::CreatePoint
Created in NX5.0.0.



License requirements : None

NXOpen::Features::AssociativeArcBuilder::MidOption NXOpen::Features::AssociativeArcBuilder::MidPointOptions ( )

Returns the mid point options
Created in NX5.0.0.



License requirements : None

NXOpen::Features::AssociativeArcBuilder::MidReference NXOpen::Features::AssociativeArcBuilder::MidPointReference ( )

Returns the mid point reference
Created in NX5.0.0.



License requirements : None

NXOpen::SelectCartesianCoordinateSystem* NXOpen::Features::AssociativeArcBuilder::MidReferenceCsys ( )

Returns the mid reference coordinate system
Created in NX5.0.0.



License requirements : None

NXOpen::SelectDisplayableObject* NXOpen::Features::AssociativeArcBuilder::MidTangent ( )

Returns the mid tangent - point can be passed in SELECT_OBJECT which is used in case of multiple solutions
Created in NX5.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::AssociativeArcBuilder::Radius ( )

Returns the radius of arc
Created in NX5.0.0.



License requirements : None

void NXOpen::Features::AssociativeArcBuilder::SetAssociative ( bool  associative)

Sets the associative
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
associativeassociative
void NXOpen::Features::AssociativeArcBuilder::SetCenterPointReference ( NXOpen::Features::AssociativeArcBuilder::CenterReference  centerPointReference)

Sets the center point reference
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
centerPointReferencecenterpointreference
void NXOpen::Features::AssociativeArcBuilder::SetCenterRadiusLockedPlaneDirection ( const NXOpen::Vector3d direction)

Sets the plane direction for arc type center radius when lock status is NXOpen::GeometricUtilities::SupportPlaneData::LockPlaneStatusCenterPointDirection
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
directiondirection
void NXOpen::Features::AssociativeArcBuilder::SetEndPointOptions ( NXOpen::Features::AssociativeArcBuilder::EndOption  endPointOptions)

Sets the end point options
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
endPointOptionsendpointoptions
void NXOpen::Features::AssociativeArcBuilder::SetEndPointReference ( NXOpen::Features::AssociativeArcBuilder::EndReference  endPointReference)

Sets the end point reference
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
endPointReferenceendpointreference
void NXOpen::Features::AssociativeArcBuilder::SetMidPointOptions ( NXOpen::Features::AssociativeArcBuilder::MidOption  midPointOptions)

Sets the mid point options
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
midPointOptionsmidpointoptions
void NXOpen::Features::AssociativeArcBuilder::SetMidPointReference ( NXOpen::Features::AssociativeArcBuilder::MidReference  midPointReference)

Sets the mid point reference
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
midPointReferencemidpointreference
void NXOpen::Features::AssociativeArcBuilder::SetStartPointOptions ( NXOpen::Features::AssociativeArcBuilder::StartOption  startPointOptions)

Sets the start point options
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
startPointOptionsstartpointoptions
void NXOpen::Features::AssociativeArcBuilder::SetStartPointReference ( NXOpen::Features::AssociativeArcBuilder::StartReference  startPointReference)

Sets the start point reference
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
startPointReferencestartpointreference
void NXOpen::Features::AssociativeArcBuilder::SetType ( NXOpen::Features::AssociativeArcBuilder::Types  type)

Sets the type option
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
typetype
void NXOpen::Features::AssociativeArcBuilder::SetZonePoint ( const NXOpen::Point3d zonePoint)

Sets the zone point is required when arc has multiple solutions in following conditions: 1.

Arc is defined with a radius constraint. 2. Arc is defined with two identical point constraints. 3. Arc is defined with the middle constraint as tangent constraint.
Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
zonePointzonepoint
NXOpen::SelectObject* NXOpen::Features::AssociativeArcBuilder::StartInferredConstraint ( )

Returns the start inferred constraint
Created in NX5.0.0.



License requirements : None

NXOpen::SelectPoint* NXOpen::Features::AssociativeArcBuilder::StartPoint ( )

Returns the start point - this should be a smart point created using one of NXOpen::PointCollection::CreatePoint
Created in NX5.0.0.



License requirements : None

NXOpen::Features::AssociativeArcBuilder::StartOption NXOpen::Features::AssociativeArcBuilder::StartPointOptions ( )

Returns the start point options
Created in NX5.0.0.



License requirements : None

NXOpen::Features::AssociativeArcBuilder::StartReference NXOpen::Features::AssociativeArcBuilder::StartPointReference ( )

Returns the start point reference
Created in NX5.0.0.



License requirements : None

NXOpen::SelectCartesianCoordinateSystem* NXOpen::Features::AssociativeArcBuilder::StartReferenceCsys ( )

Returns the start reference coordinate system
Created in NX5.0.0.



License requirements : None

NXOpen::SelectDisplayableObject* NXOpen::Features::AssociativeArcBuilder::StartTangent ( )

Returns the start tangent - point can be passed in SELECT_OBJECT which is used in case of multiple solutions
Created in NX5.0.0.



License requirements : None

NXOpen::GeometricUtilities::SupportPlaneData* NXOpen::Features::AssociativeArcBuilder::SupportPlaneData ( )

Returns the support plane data
Created in NX5.0.0.



License requirements : None

NXOpen::Features::AssociativeArcBuilder::Types NXOpen::Features::AssociativeArcBuilder::Type ( )

Returns the type option
Created in NX5.0.0.



License requirements : None

NXOpen::Point3d NXOpen::Features::AssociativeArcBuilder::ZonePoint ( )

Returns the zone point is required when arc has multiple solutions in following conditions: 1.

Arc is defined with a radius constraint. 2. Arc is defined with two identical point constraints. 3. Arc is defined with the middle constraint as tangent constraint.
Created in NX5.0.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.